### Method

# Gtk RecentManager move_item

#### Declaration [src]

    gboolean
    gtk_recent_manager_move_item (
      GtkRecentManager* manager,
      const char* uri,
      const char* new_uri,
      GError** error
    )

#### Description [src]

Changes the location of a recently used resource from `uri` to `new_uri`.

Please note that this function will not affect the resource pointed by the URIs, but only the URI used in the recently used resources list.

#### Parameters

`uri` | `const char*`
| The URI of a recently used resource.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`new_uri` | `const char*`
| The new URI of the recently used resource, or `NULL` to remove the item pointed by `uri` in the list.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.